[arch-commits] Commit in gegl/repos (testing-x86_64 testing-x86_64/PKGBUILD)

Christian Hesse eworm at gemini.archlinux.org
Thu Jul 21 10:34:16 UTC 2022


    Date: Thursday, July 21, 2022 @ 10:34:16
  Author: eworm
Revision: 451522

archrelease: copy trunk to testing-x86_64

Added:
  gegl/repos/testing-x86_64/
  gegl/repos/testing-x86_64/PKGBUILD
    (from rev 451521, gegl/trunk/PKGBUILD)

----------+
 PKGBUILD |   44 ++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 44 insertions(+)

Copied: gegl/repos/testing-x86_64/PKGBUILD (from rev 451521, gegl/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2022-07-21 10:34:16 UTC (rev 451522)
@@ -0,0 +1,44 @@
+# Maintainer: Daniel Isenmann <daniel at archlinux.org>
+
+pkgname=gegl
+_tag='e45bf4479cc96e968ff39e7f3e83c8b6ca7ee757'
+pkgver=0.4.38
+pkgrel=1
+pkgdesc='Graph based image processing framework'
+arch=('x86_64')
+url='https://www.gegl.org/'
+license=('GPL3' 'LGPL3')
+depends=('babl' 'jasper' 'json-glib' 'lensfun' 'libgexiv2' 'libraw' 'librsvg' 'libspiro'
+         'libtiff' 'luajit' 'openexr' 'poppler-glib' 'suitesparse')
+makedepends=('exiv2' 'ffmpeg' 'git' 'glu' 'gobject-introspection' 'intltool' 'mesa'
+             'meson' 'python-gobject' 'ruby' 'vala')
+options=('debug')
+optdepends=('ffmpeg: ffmpeg plugin'
+            'graphviz: for gegl-introspect')
+source=("git+https://gitlab.gnome.org/GNOME/gegl.git#tag=$_tag")
+sha256sums=('SKIP')
+
+pkgver() {
+  cd "${pkgname}"
+  git describe --tags | sed 's/^GEGL_//;s/_$//;s/_/./g;s/-/+/g'
+}
+
+build() {
+  mkdir -p build
+  cd build
+  arch-meson ../"${pkgname}" \
+    -Dworkshop=true \
+    -Dmrg=disabled \
+    -Dmaxflow=disabled
+  ninja
+}
+
+check() {
+  cd build
+  ninja test || :
+}
+
+package() {
+  cd build
+  DESTDIR="${pkgdir}" ninja install
+}



More information about the arch-commits mailing list